<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Settings/include/Settings/SettingStringConversion.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8ae0dd75af039a94f4269584fb8eef13.html">Settings</a></li><li class="navelem"><a class="el" href="dir_432cbbb5245314b613ff1e5a0d6316fd.html">include</a></li><li class="navelem"><a class="el" href="dir_5ad71ff850730ae2a3f8f6d36f5ecd38.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SettingStringConversion.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;utility&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SettingStringConversion.h:</div>
<div class="dyncontent">
<div class="center"><img src="_setting_string_conversion_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_setting_string_conversion_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_setting_string_conversion_8h" id="_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_setting_string_conversion_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_setting_string_conversion_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_setting_string_conversion_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_setting_string_conversion_8hdep" id="_2workplace_2avs-device-sdk_2_settings_2include_2_settings_2_setting_string_conversion_8hdep">
<area shape="rect" id="node2" href="_u_i_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UIManager.cpp" alt="" coords="384,112,619,151"/>
<area shape="rect" id="node3" href="_setting_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/Setting.h" alt="" coords="643,105,795,157"/>
<area shape="rect" id="node19" href="_setting_string_conversion_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/SettingString\lConversionTest.cpp" alt="" coords="820,105,1023,157"/>
<area shape="rect" id="node4" href="_do_not_disturb_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/include\l/DoNotDisturbCA/DoNotDisturbCapability\lAgent.h" alt="" coords="453,205,719,284"/>
<area shape="rect" id="node18" href="_setting_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/SettingTest.cpp" alt="" coords="743,225,962,264"/>
<area shape="rect" id="node5" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="229,332,457,397"/>
<area shape="rect" id="node16" href="_do_not_disturb_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/src/DoNotDisturb\lCapabilityAgent.cpp" alt="" coords="480,332,691,397"/>
<area shape="rect" id="node17" href="_do_not_disturb_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/test/DoNotDisturb\lCapabilityAgentTest.cpp" alt="" coords="715,332,929,397"/>
<area shape="rect" id="node6" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="77,445,305,497"/>
<area shape="rect" id="node7" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="230,545,453,597"/>
<area shape="rect" id="node14" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="382,445,597,497"/>
<area shape="rect" id="node8" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="6,645,224,697"/>
<area shape="rect" id="node13" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="248,645,454,697"/>
<area shape="rect" id="node9" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="5,745,225,797"/>
<area shape="rect" id="node12" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="249,745,451,797"/>
<area shape="rect" id="node10" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="16,845,214,884"/>
<area shape="rect" id="node11" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="294,845,574,884"/>
<area shape="rect" id="node15" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="528,552,803,591"/>
</map>
</div>
</div>
<p><a href="_setting_string_conversion_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1settings"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">alexaClientSDK::settings</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a36e28b22227d0a77c206bebe3ee881fc"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a36e28b22227d0a77c206bebe3ee881fc"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a36e28b22227d0a77c206bebe3ee881fc">alexaClientSDK::settings::IntegralByteType</a> = typename std::enable_if&lt; isIntegralByteType&lt; ValueT &gt;(), ValueT &gt;::type</td></tr>
<tr class="separator:a36e28b22227d0a77c206bebe3ee881fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1364411fd36338ee1175af488cf11ada"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a1364411fd36338ee1175af488cf11ada"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a1364411fd36338ee1175af488cf11ada">alexaClientSDK::settings::EnumOrString</a> = typename std::enable_if&lt; isEnumOrString&lt; ValueT &gt;(), ValueT &gt;::type</td></tr>
<tr class="separator:a1364411fd36338ee1175af488cf11ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1681b824bd729f3b7dccfe26581ea3e9"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a1681b824bd729f3b7dccfe26581ea3e9"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a1681b824bd729f3b7dccfe26581ea3e9">alexaClientSDK::settings::OtherTypes</a> = typename std::enable_if&lt;!isEnumOrString&lt; ValueT &gt;() &amp;&amp;!isIntegralByteType&lt; ValueT &gt;(), ValueT &gt;::type</td></tr>
<tr class="separator:a1681b824bd729f3b7dccfe26581ea3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a803767d011ab4f6bc84a7e982ee57b8e"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a803767d011ab4f6bc84a7e982ee57b8e"><td class="memTemplItemLeft" align="right" valign="top">static constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a803767d011ab4f6bc84a7e982ee57b8e">alexaClientSDK::settings::isIntegralByteType</a> ()</td></tr>
<tr class="separator:a803767d011ab4f6bc84a7e982ee57b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a215c34ed201e0c568d8cf4f33f506c7b"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a215c34ed201e0c568d8cf4f33f506c7b"><td class="memTemplItemLeft" align="right" valign="top">std::pair&lt; bool, std::string &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a215c34ed201e0c568d8cf4f33f506c7b">alexaClientSDK::settings::toSettingString</a> (const IntegralByteType&lt; ValueT &gt; &amp;value)</td></tr>
<tr class="separator:a215c34ed201e0c568d8cf4f33f506c7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab3bdf1a11757adc249480d87bd5d349"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:aab3bdf1a11757adc249480d87bd5d349"><td class="memTemplItemLeft" align="right" valign="top">std::pair&lt; bool, ValueT &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#aab3bdf1a11757adc249480d87bd5d349">alexaClientSDK::settings::fromSettingString</a> (const std::string &amp;str, const IntegralByteType&lt; ValueT &gt; &amp;defaultValue)</td></tr>
<tr class="separator:aab3bdf1a11757adc249480d87bd5d349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42f9884d6ee2c27fea84be3931d4f7fd"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a42f9884d6ee2c27fea84be3931d4f7fd"><td class="memTemplItemLeft" align="right" valign="top">static constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a42f9884d6ee2c27fea84be3931d4f7fd">alexaClientSDK::settings::isEnumOrString</a> ()</td></tr>
<tr class="separator:a42f9884d6ee2c27fea84be3931d4f7fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb667abf87ff1511a3a75d7513a700a3"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:abb667abf87ff1511a3a75d7513a700a3"><td class="memTemplItemLeft" align="right" valign="top">std::pair&lt; bool, std::string &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#abb667abf87ff1511a3a75d7513a700a3">alexaClientSDK::settings::toSettingString</a> (const EnumOrString&lt; ValueT &gt; &amp;value)</td></tr>
<tr class="separator:abb667abf87ff1511a3a75d7513a700a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ca1d634b63f311f057ed7562469cc6a"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a5ca1d634b63f311f057ed7562469cc6a"><td class="memTemplItemLeft" align="right" valign="top">std::pair&lt; bool, ValueT &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a5ca1d634b63f311f057ed7562469cc6a">alexaClientSDK::settings::fromSettingString</a> (const std::string &amp;str, const EnumOrString&lt; ValueT &gt; &amp;defaultValue)</td></tr>
<tr class="separator:a5ca1d634b63f311f057ed7562469cc6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7218d5da4c0b327d55713164b6c6512d"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:a7218d5da4c0b327d55713164b6c6512d"><td class="memTemplItemLeft" align="right" valign="top">std::pair&lt; bool, std::string &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a7218d5da4c0b327d55713164b6c6512d">alexaClientSDK::settings::toSettingString</a> (const OtherTypes&lt; ValueT &gt; &amp;value)</td></tr>
<tr class="separator:a7218d5da4c0b327d55713164b6c6512d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05a3ea32bbcf504f67d4b8e80f329aa"><td class="memTemplParams" colspan="2">template&lt;typename ValueT &gt; </td></tr>
<tr class="memitem:ad05a3ea32bbcf504f67d4b8e80f329aa"><td class="memTemplItemLeft" align="right" valign="top">std::pair&lt; bool, ValueT &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#ad05a3ea32bbcf504f67d4b8e80f329aa">alexaClientSDK::settings::fromSettingString</a> (const std::string &amp;str, const OtherTypes&lt; ValueT &gt; &amp;defaultValue)</td></tr>
<tr class="separator:ad05a3ea32bbcf504f67d4b8e80f329aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab2960f4c00016ebb8c98781dd5250d2d"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#ab2960f4c00016ebb8c98781dd5250d2d">alexaClientSDK::settings::QUOTE</a> = '&quot;'</td></tr>
<tr class="memdesc:ab2960f4c00016ebb8c98781dd5250d2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Quote used for json string values.  <a href="namespacealexa_client_s_d_k_1_1settings.html#ab2960f4c00016ebb8c98781dd5250d2d">More...</a><br /></td></tr>
<tr class="separator:ab2960f4c00016ebb8c98781dd5250d2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
